Rasa x not working for portuguese language

Rasa Version : 2.3.0 Rasa SDK Version : 2.3.1 Rasa X Version : 0.37.0 Python Version : 3.7.6 Operating System : Windows-10

Issue: when running rasa x in my project in portuguese get the above error, can you help? I can train the model, run it and deploy it to an rest channel, the only thing that doens’t work is rasa x I tested rasa x with the sample rasa init and trained model and it works fine

Error (including full traceback):

Starting Rasa X in local mode... �
Traceback (most recent call last):
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasa\shared\utils\io.py", line 122, in read_file
    return f.read()
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\codecs.py", line 322, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe3 in position 441: invalid continuation byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasa\cli\x.py", line 500, in run_locally
    domain_path=domain_path,
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasax\community\local.py", line 242, in main
    project_path, data_path, session, args.port, config_path, domain_path
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasax\community\local.py", line 169, in _initialize_with_local_data
    domain_path=domain_path,
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 583, in run_until_complete
    return future.result()
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasax\community\initialise.py", line 375, in inject_files_from_disk
    username,
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasax\community\initialise.py", line 135, in inject_stories
    story_files, team, project_id, username
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\story_service.py", line
553, in save_stories_from_files
    is_test=is_test,
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\story_service.py", line
438, in save_stories
    story_string, filename, domain, is_test
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\story_service.py", line
366, in _extract_stories_yaml
    story_string, data.FileFormat.YAML, domain, filename, test_stories=is_test
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\story_service.py", line
212, in get_story_steps
    return StoryService._reader_read_from_string(reader, story_string)
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\story_service.py", line
133, in _reader_read_from_string
    return reader.read_from_file(temp_path)
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasa\shared\core\training_data\story_reader\yaml_story_reader.py", line 98, in read_from_file
    filename, rasa.shared.utils.io.DEFAULT_ENCODING
  File "c:\users\moraisca\anaconda3\envs\rasa\lib\site-packages\rasa\shared\utils\io.py", line 129, in read_file
    f"Failed to read file '{os.path.abspath(filename)}', "
rasa.shared.exceptions.FileIOException: Failed to read file 'C:\Users\MORAISCA\AppData\Local\Temp\tmp_8mz0abk', could not read the file using utf-8 to decode it. Please make sure the file is stored with this encoding.

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Hi @catarina.morais. This sounds like a bug. Can please create an issue for it here?